ModernLoop Internal API
Apisentry

Update a Sentry issue

Write operation: mutates state in the upstream service.

curl -X PUT "https://api.modernloop.dev/rest/v1/sentry/issues/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "shortId": "string",  "title": "string",  "culprit": "string",  "level": "string",  "status": "string",  "type": "string",  "metadata": {    "value": "string",    "type": "string",    "filename": "string",    "function": "string"  },  "count": "string",  "userCount": 0,  "numComments": 0,  "firstSeen": "string",  "lastSeen": "string",  "isUnhandled": true,  "platform": "string",  "permalink": "string",  "project": {    "id": "string",    "slug": "string",    "name": "string"  },  "assignedTo": {    "id": "string",    "name": "string",    "email": "string",    "type": "string"  },  "annotations": [    null  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

issueId*string

Numeric Sentry issue ID (e.g. from sentry_listIssues or a Sentry URL)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

status?string

Value in

  • "resolved"
  • "unresolved"
  • "ignored"
assignedTo?|

User id, "me", or null to unassign

hasSeen?boolean
isBookmarked?boolean
isSubscribed?boolean
snoozeDuration?integer

Snooze duration in minutes

Response Body

application/json

application/json

application/json

application/json

application/json